## python-omemo-backend-signal 0.3.0~beta

=== requirements.txt ===
X3DH>=0.5.9,<0.6
DoubleRatchet>=0.7.0,<0.8
OMEMO>=0.13.0,<0.15
cryptography>=3.3.2,<37
protobuf>=2.6.1

=== omemo_backend_signal/Makefile ===
all:
	protoc --python_out=. WhisperTextProtocol.proto
	mv WhisperTextProtocol_pb2.py whispertextprotocol_pb2.py

## python-omemo-backend-signal 0.2.3

=== debian/changelog ===
python-omemo-backend-signal (0.2.3-1) unstable; urgency=medium

  * Initial package (Closes: #919367)
    Python 2 version still necessary for salutatoi

 -- W. Martin Borgert <debacle@debian.org>  Wed, 16 Jan 2019 17:27:58 +0000

=== debian/control ===
Source: python-omemo-backend-signal
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
	dh-python,
	protobuf-compiler,
	python-all,
	python-cryptography,
	python-doubleratchet,
	python-omemo,
	python-protobuf,
	python-setuptools,
	python-x3dh,
	python3-all,
	python3-cryptography,
	python3-doubleratchet,
	python3-omemo,
	python3-protobuf,
	python3-setuptools,
	python3-x3dh,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/omemo-backend-signal/
Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo-backend-signal.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo-backend-signal

Package: python-omemo-backend-signal
Architecture: all
Depends: ${misc:Depends},
	${python:Depends},
Description: Python 2 backend for python-omemo with libsignal compatibility
 This library implements a backend for python-omemo offering
 compatibility with libsignal (C, Java, JavaScript). Look at
 python-omemo for further usage information.
 .
 This package provides the Python 2.7 module.

Package: python3-omemo-backend-signal
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 backend for python-omemo with libsignal compatibility
 This library implements a backend for python-omemo offering
 compatibility with libsignal (C, Java, JavaScript). Look at
 python-omemo for further usage information.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=omemo_backend_signal

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	cd omemo_backend_signal && $(MAKE)
	dh_auto_build

## python-omemo-backend-signal 0.3.0~beta

=== debian/changelog ===
python-omemo-backend-signal (0.3.0~beta-1) unstable; urgency=medium

  * New upstream version.
  * Remove obsolete patch to build protocol file from original source.

 -- Martin <debacle@debian.org>  Sun, 13 Mar 2022 00:02:32 +0000

python-omemo-backend-signal (0.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937969

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Jan 2020 21:04:01 -0500

=== debian/control ===
Source: python-omemo-backend-signal
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	protobuf-compiler,
	python3-all,
	python3-cryptography,
	python3-doubleratchet,
	python3-omemo,
	python3-protobuf,
	python3-setuptools,
	python3-x3dh,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-omemo-backend-signal
Vcs-Git: https://salsa.debian.org/xmpp-team/python-omemo-backend-signal.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/python-omemo-backend-signal

Package: python3-omemo-backend-signal
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 backend for python-omemo with libsignal compatibility
 This library implements a backend for python-omemo offering
 compatibility with libsignal (C, Java, JavaScript). Look at
 python-omemo for further usage information.
 .
 This package provides the Python 3.x module.
